Bug 1494401 (CVE-2017-14227) - CVE-2017-14227 libbson: Heap based buffer over read in the bson_utf8_validate function
Summary: CVE-2017-14227 libbson: Heap based buffer over read in the bson_utf8_validate...
Status: CLOSED WONTFIX
Alias: CVE-2017-14227
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20170907,reported=2...
Keywords: Security
Depends On: 1494402 1489355
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-22 08:06 UTC by Andrej Nemec
Modified: 2019-06-08 22:22 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 03:26:05 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-22 08:06:25 UTC
In MongoDB libbson 1.7.0, the bson_iter_codewscope function in bson-iter.c miscalculates a bson_utf8_validate length argument, which allows remote attackers to cause a denial of service (heap-based buffer over-read in the bson_utf8_validate function in bson-utf8.c), as demonstrated by bson-to-json.c.

Upstream issue:

https://jira.mongodb.org/browse/CDRIVER-2269

Upstream patches:

https://github.com/mongodb/libbson/commit/42900956dc461dfe7fb91d93361d10737c1602b3
https://github.com/mongodb/libbson/commit/e10059393466f667b031077229cfa98504ce34f3

Comment 1 Andrej Nemec 2017-09-22 08:06:48 UTC
Created libbson tracking bugs for this issue:

Affects: epel-7 [bug 1494402]

Comment 2 Fedora Update System 2017-09-26 23:54:40 UTC
libbson-1.6.3-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2017-09-27 05:27:29 UTC
libbson-1.3.5-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2017-09-30 06:31:28 UTC
libbson-1.8.0-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2017-10-09 14:50:14 UTC
libbson-1.3.5-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.